그룹 레이블 API
그룹 레이블 API에 대해 설명합니다.
히스토리 archived 속성이 GitLab 18.3에서 labels_archive 라는 기능 플래그와 함께 도입 되었습니다. GitLab 18.10에서 일반 공급 되었습니다. 기능 플래그 labels_archive 는 제거되었습니다. 이 API로 그룹 레이블 을 관리합니다. 프로젝트 레이블은 프로젝트 레이블 API 를 사용합니다. 그룹 레이블 목록 조회 # 지정한 그룹의 모든 레이블을 가져옵니다. GET /groups/:id/labels 속성 유형 필수 설명 id integer or string 예 그룹의 ID 또는 URL 인코딩된 경로 . with_counts boolean 아니요 이슈 및 머지 리퀘스트 개수를 포함할지 여부입니다. 기본값은 false 입니다. include_ancestor_groups boolean 아니요 상위 그룹을 포함합니다. 기본값은 true 입니다. include_descendant_groups boolean 아니요 하위 그룹을 포함합니다. 기본값은 false 입니다. only_group_labels boolean 아니요 그룹 레이블만 포함할지 프로젝트 레이블도 함께 포함할지 전환합니다. 기본값은 true 입니다. search string 아니요 레이블을 필터링할 키워드입니다. archived boolean 아니요 true 이면 보관된 레이블만 반환합니다. 설정하지 않으면 모든 레이블을 반환합니다. curl \ --header "PRIVATE-TOKEN: <your_access_token>" \ --url "https://gitlab.example.com/api/v4/groups/5/labels?with_counts=true" 응답 예시: [ { "id" : 7 , "name" : "bug" , "color" : "#FF0000" , "text_color" : "#FFFFFF" , "description" : null , "description_html" : null , "open_issues_count" : 0 , "closed_issues_count" : 0 , "open_merge_requests_count" : 0 , "subscribed" : false , "archived" : false } , { "id" : 4 , "name" : "feature" , "color" : "#228B22" , "text_color" : "#FFFFFF" , "description" : null , "description_html" : null , "open_issues_count" : 0 , "closed_issues_count" : 0 , "open_merge_requests_count" : 0 , "subscribed" : false , "archived" : false } ] 단일 그룹 레이블 조회 # 지정한 그룹의 단일 레이블을 가져옵니다. GET /groups/:id/labels/:label_id 속성 유형 필수 설명 id integer or string 예 그룹의 ID 또는 URL 인코딩된 경로